﻿using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinGridDeleteRowsCase
{
    public partial class Form1 : Form
    {
        private string product;
        private int orderId;
        private string custName;

        public Form1()
        {
            InitializeComponent();
            this.OrdersUltraGrid.BeforeRowsDeleted += OrdersUltraGrid_BeforeRowsDeleted;
            this.OrdersUltraGrid.DataSource = TableInfo.GetDataTableInfo();
           
            Binding productBinding = this.ultraTextEditor1.DataBindings.Add("Text", (DataTable)this.OrdersUltraGrid.DataSource, "Product");
            Binding orderIdBinding = this.ultraTextEditor2.DataBindings.Add("Text", (DataTable)this.OrdersUltraGrid.DataSource, "OrderId");
            Binding custNameBinding = this.ultraTextEditor3.DataBindings.Add("Text", (DataTable)this.OrdersUltraGrid.DataSource, "Customer Name");
            productBinding.DataSourceUpdateMode = DataSourceUpdateMode.OnPropertyChanged;
            productBinding.ControlUpdateMode = ControlUpdateMode.OnPropertyChanged;
            orderIdBinding.DataSourceUpdateMode = DataSourceUpdateMode.OnPropertyChanged;
            orderIdBinding.ControlUpdateMode = ControlUpdateMode.OnPropertyChanged;
            custNameBinding.DataSourceUpdateMode = DataSourceUpdateMode.OnPropertyChanged;
            custNameBinding.ControlUpdateMode = ControlUpdateMode.OnPropertyChanged;
        }

        private void AddButton_Click(object sender, EventArgs e)
        {
            UltraGridRow row = this.OrdersUltraGrid.DisplayLayout.Bands[0].AddNew();
            row.Cells[0].Value = null;
            row.Cells[2].Value = null;
           
        }

        private void deleteButton_Click(object sender, EventArgs e)
        {
            this.OrdersUltraGrid.DeleteSelectedRows(true);
        }

        void OrdersUltraGrid_BeforeRowsDeleted(object sender, BeforeRowsDeletedEventArgs e)
        {
            this.product = this.ultraTextEditor1.Value.ToString();
            this.orderId = int.Parse(this.ultraTextEditor2.Value.ToString());
            this.custName = this.ultraTextEditor3.Value.ToString();
        }

    }
}
